package com.ynet.life.platform.tranSwitch.limit;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.base.PlatformConstants;
import com.ynet.life.platform.tranSwitch.limit.a;
import java.math.BigDecimal;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

public class CBLimitCstTranDaySum implements a {

   private static String a = "SELECT LIC_DAYMAX, LIC_DAYMAX_STT, LIC_DAYSUM, LIC_LASTDATE FROM CB_LIMIT_CST";
   private static String b = "UPDATE CB_LIMIT_CST SET LIC_DAYSUM = 0, LIC_LASTDATE = ?";
   private static String c = "UPDATE CB_LIMIT_CST SET LIC_DAYSUM = LIC_DAYSUM + ?";
   private static String d = "UPDATE CB_LIMIT_CST SET LIC_DAYSUM = LIC_DAYSUM - ? ";
   private static String e = " WHERE LIC_TYPE = \'00\' AND LIC_BANKID = ? AND LIC_CHANNEL = ? AND LIC_CRYTYPE = ? AND LIC_CSTNO = ?";


   public final void a(Context cstNo, Connection connection) throws GENEException {
      String payAmount = (String)cstNo.getDataValue("payAmount");
      String bankId = (String)cstNo.getDataValue(PlatformConstants.FIELD_BANK_ID);
      String channel = (String)cstNo.getDataValue(PlatformConstants.FIELD_CHANNEL);
      String currencyType = (String)cstNo.getDataValue("currencyType");
      String cstNo1 = (String)cstNo.getDataValue(PlatformConstants.FIELD_CST_NO);
      ArrayList inputList;
      (inputList = new ArrayList()).add(payAmount);
      inputList.add(bankId);
      inputList.add(channel);
      inputList.add(currencyType);
      inputList.add(cstNo1);
      LifeDBAccess.executeSQLUpdate(connection, d + e, inputList);
   }

   private static void a(String limitStt) throws TranFailException {
      if("1".equals(limitStt)) {
         throw new TranFailException("EBCBLT15");
      } else {
         throw new TranFailException("EBCBLT16");
      }
   }

   public static void main(String[] connection) {
      Connection connection1 = null;

      String dsl;
      String userName;
      try {
         Class.forName("oracle.jdbc.driver.OracleDriver");
         dsl = "jdbc:oracle:thin:@192.168.12.45:1521:orcl";
         userName = "life";
         String password = "life";
         connection1 = DriverManager.getConnection(dsl, userName, password);
      } catch (Exception var23) {
         var23.printStackTrace();
      }

      CBLimitCstTranDaySum dsl1 = new CBLimitCstTranDaySum();

      try {
         userName = null;
         dsl = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         String var4 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         String var5 = (String)null.getDataValue("currencyType");
         String var6 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         BigDecimal var7 = new BigDecimal((String)null.getDataValue("payAmount"));
         ArrayList var8;
         (var8 = new ArrayList()).add(dsl);
         var8.add(var4);
         var8.add(var5);
         var8.add(var6);
         List userName1 = LifeDBAccess.querySingleResult(connection1, a + e, var8, 4);
         BigDecimal var30 = new BigDecimal((String)userName1.get(0));
         String var9 = (String)userName1.get(1);
         BigDecimal var10 = new BigDecimal((String)userName1.get(2));
         String var11 = LifeStandard.getServerTime("yyyyMMdd");
         userName = (String)userName1.get(3);
         if(!var11.equals(userName)) {
            ArrayList userName2;
            (userName2 = new ArrayList()).add(var11);
            userName2.add(dsl);
            userName2.add(var4);
            userName2.add(var5);
            userName2.add(var6);
            LifeDBAccess.executeSQLUpdate(connection1, b + e, userName2);
            if(var7.compareTo(var30) > 0) {
               a(var9);
            }
         } else if(var7.add(var10).compareTo(var30) > 0) {
            a(var9);
         }

         dsl = null;
         dsl = (String)null.getDataValue("payAmount");
         var4 = (String)null.getDataValue(PlatformConstants.FIELD_BANK_ID);
         var5 = (String)null.getDataValue(PlatformConstants.FIELD_CHANNEL);
         var6 = (String)null.getDataValue("currencyType");
         String var29 = (String)null.getDataValue(PlatformConstants.FIELD_CST_NO);
         (var8 = new ArrayList()).add(dsl);
         var8.add(var4);
         var8.add(var5);
         var8.add(var6);
         var8.add(var29);
         LifeDBAccess.executeSQLUpdate(connection1, c + e, var8);
         connection1.commit();
      } catch (GENEException var21) {
         var21.printStackTrace();
      } catch (SQLException var22) {
         var22.printStackTrace();
      } finally {
         if(connection1 != null) {
            try {
               connection1.close();
            } catch (SQLException var20) {
               var20.printStackTrace();
            }
         }

      }

   }
}
